package cn.superdesk.uniorder.dubbo.facade.operationCenter.customer;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dto.param.operationCenter.base.OperationCenterBaseParam;
import cn.superdesk.uniorder.dto.param.operationCenter.customer.OperationCenterBillStartParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.customer.OperationCenterBillStartVo;

import java.util.List;

/**
 * @Author : zx
 * @Create : 2023/4/11 09:48
 * Description :
 */
public interface DubboOperationCenterBillStartService {
    R<List<OperationCenterBillStartVo>> getBillStartListByCustomerId(OperationCenterBaseParam param);

    R<String> saveOperationCenterBillStart(OperationCenterBillStartParam param, Long sysUserId);

    R<OperationCenterBillStartVo> getBillStartById(Long id);

    R<String> deleteOperationCenterBillStartById(Long id,Long userId);

    R<String> enableOperationCenterBillStartById(Long billId, Long sysUserId);
}
